package com.iformall.enums;

/**
 * Created by luozukai
 */
public enum EnumCouponAppType {
    PUT(1, "投放"),
    STOCK(2, "库存"),
    CANCLE(3, "作废"),

    ;

    public static EnumCouponAppType getEnum(Integer code) {
        for (EnumCouponAppType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCouponAppType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
